"""
Cambria Sand (Drained)
======================

Drained triaxial tests on Cambria sand [^1].

[^1]: Ochiai, H., & Lade, P. V. (1983). Three‐Dimensional Behavior of Sand with Anisotropic Fabric. Journal of
      Geotechnical Engineering, 109(10), 1313–1328. https://doi.org/10.1061/(ASCE)0733-9410(1983)109:10(1313)
"""

import pandas as pd

from micromechanical.cli.plot import PlotCLI, PlotConfig

config: PlotConfig = PlotCLI.loadConfig("../../calibrations/micromechanical-plots.yaml")

plot_name = "Cambria-CH-OSIMSAND-two-column"
plot_config = config.plots[plot_name]

# %%
# Parameters
# ----------

pd.DataFrame(
    {key: value for key, value in plot_config.calibration.read(config.root).parameters.items()},
    index=["Cambria"],
)

# %%
# Figures
# -------

plot_config.plot(plot_name, grids=config.grids, save=False, overwrite=False)
