"""
Hostun Sand (Drained)
=====================

Drained triaxial tests on Hostun sand [^1].

[^1]: Biarez, J., Hicher, P.Y., 2002. me ́canismes de d ́eformation des sols. In: Hicher, P.Y., Shao, J.F. (Eds.),
      Elastoplasticite ́ des sols et des roches, mod`eles de comportement des sols et des roches 1, Hermes-Lavoisier,
      pp. 47–89.
"""

import pandas as pd

from micromechanical.cli.plot import PlotCLI, PlotConfig

config: PlotConfig = PlotCLI.loadConfig("../../calibrations/micromechanical-plots.yaml")

plot_name = "Hostun-CH-SANISAND-two-column"
plot_config = config.plots[plot_name]

# %%
# Parameters
# ----------

pd.DataFrame(
    {key: value for key, value in plot_config.calibration.read(config.root).parameters.items()}, index=["Hostun"]
)

# %%
# Figures
# -------

plot_config.plot(plot_name, grids=config.grids, save=False, overwrite=False)
